## golang-github-azure-azure-sdk-for-go 1.2~git20150611.0.97d9593

=== debian/changelog ===
golang-github-azure-azure-sdk-for-go (1.2~git20150611.0.97d9593-2ubuntu1) xenial; urgency=medium

  * Stip dore/tls test suite due to errors,
    https://github.com/Azure/azure-sdk-for-go/issues/282.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Feb 2016 16:36:30 +0000

golang-github-azure-azure-sdk-for-go (1.2~git20150611.0.97d9593-2) unstable; urgency=medium

  * Note that core/* is BSD-3-clause and copyright of "The Go Authors"; thanks
    Thorsten!

 -- Tianon Gravi <tianon@debian.org>  Mon, 14 Sep 2015 19:19:55 -0700

golang-github-azure-azure-sdk-for-go (1.2~git20150611.0.97d9593-1) unstable; urgency=medium

  * Initial release

 -- Tianon Gravi <tianon@debian.org>  Fri, 11 Sep 2015 17:48:41 -0700
