=== debian/control ===
Source: golang-github-azure-azure-sdk-for-go
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go,
               golang-github-azure-go-autorest-dev (>= 0.1~alpha-2~),
               golang-github-azure-go-pkcs12-dev,
               golang-gopkg-check.v1-dev | golang-check.v1-dev
Standards-Version: 3.9.6
Homepage: https://github.com/Azure/azure-sdk-for-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-azure-azure-sdk-for-go.git
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/golang-github-azure-azure-sdk-for-go.git
XS-Go-Import-Path: github.com/Azure/azure-sdk-for-go

Package: golang-github-azure-azure-sdk-for-go-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-azure-go-autorest-dev (>= 0.1~alpha-2~),
         golang-github-azure-go-pkcs12-dev,
         golang-gopkg-check.v1-dev | golang-check.v1-dev
Built-Using: ${misc:Built-Using}
Description: Microsoft Azure SDK for Go
 This project provides various Go packages to perform operations on Microsoft
 Azure REST APIs.
 .
 See list of implemented API clients here
 (http://godoc.org/github.com/Azure/azure-sdk-for-go).
