=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_ALL := 1 # need testfiles

override_dh_auto_test:
	# core/http_test and core/http/httputil don't compile properly
	# storage needs "ACCOUNT_NAME" to test against remote services
	DH_GOLANG_EXCLUDES='core/http core/tls storage' dh_auto_test

%:
	dh $@ --buildsystem=golang --with=golang
