## golang-github-azure-azure-sdk-for-go 2.1.1~beta

=== debian/changelog ===
golang-github-azure-azure-sdk-for-go (2.1.1~beta-3) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Martín Ferrari ]
  * Add myself to Uploaders.
  * debian/control: Update Standards-Version (no changes).
  * debian/control: Remove golang-go dependency from -dev package.
  * debian/control: Replace golang-go with golang-any in Build-Depends.
  * debian/control: Drop golang-check.v1-dev as an alternative dependency.

 -- Martín Ferrari <tincho@debian.org>  Mon, 31 Oct 2016 22:03:56 +0000

golang-github-azure-azure-sdk-for-go (2.1.1~beta-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Daniel Stender <stender@debian.org>  Mon, 25 Apr 2016 12:22:36 +0200

golang-github-azure-azure-sdk-for-go (2.1.1~beta-1) experimental; urgency=medium

  * Team upload.
  [ Tianon Gravi ]
  * Adjust Build-Depends relation ordering to appease the buildds
  [ Daniel Stender ]
  * New upstream release (Closes: #821832).
    + added golang-golang-x-crypto-dev to deps in deb/control.
    + bumped version of go-autorest deb in deb/control.
    + dropped export for DH_GOLANG_INSTALL_ALL in deb/rules.
  * deb/rules: added failsafe for dh_auto_test (Closes: #821933).

 -- Daniel Stender <stender@debian.org>  Wed, 20 Apr 2016 20:35:26 +0200
