=== debian/control ===
Source: golang-github-azure-azure-sdk-for-go
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Martín Ferrari <tincho@debian.org>,
           Tianon Gravi <tianon@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-any,
               golang-github-azure-go-autorest-dev (>= 7.0.4),
               golang-github-azure-go-pkcs12-dev,
               golang-golang-x-crypto-dev,
               golang-gopkg-check.v1-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/Azure/azure-sdk-for-go
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-azure-azure-sdk-for-go.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-azure-azure-sdk-for-go.git
XS-Go-Import-Path: github.com/Azure/azure-sdk-for-go

Package: golang-github-azure-azure-sdk-for-go-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         golang-github-azure-go-autorest-dev (>= 7.0.4),
         golang-github-azure-go-pkcs12-dev,
         golang-golang-x-crypto-dev,
         golang-gopkg-check.v1-dev,
Built-Using: ${misc:Built-Using}
Description: Microsoft Azure SDK for Go
 This project provides various Go packages to perform operations on Microsoft
 Azure REST APIs.
 .
 See list of implemented API clients here
 (http://godoc.org/github.com/Azure/azure-sdk-for-go).
