=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_test:
	# core/http_test and core/http/httputil don't compile properly
	# storage needs "ACCOUNT_NAME" to test against remote services
	DH_GOLANG_EXCLUDES='core/http storage' dh_auto_test || true

%:
	dh $@ --buildsystem=golang --with=golang
