=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/azure-sdk-for-go-$1\.tar\.gz/ \
  https://github.com/Azure/azure-sdk-for-go/tags .*/v?(\d\S*)\.tar\.gz
