## golang-github-azure-azure-sdk-for-go 10.3.0~beta

=== debian/changelog ===
golang-github-azure-azure-sdk-for-go (10.3.0~beta-1) unstable; urgency=medium

  * Team upload.

  [ Paul Tagliamonte ]
  * Remove Built-Using from arch:all -dev package

  [ Shengjing Zhu ]
  * New upstream release. (Closes: #859360)
  * Update compat and debhelper to 10
  * Update Standards-Version to 4.1.0
    + Change priority to optional
    + User secure url in copyright format
  * d/watch: Add filename mangle to fix upstream beta name
  * d/control:
    + Update pkg-go team name
    + Update Build-Depends and Binary Depends
    + Add Testsuite
  * d/rule: exclude Gododir dir and storage dir when test
  * Add patch 0001-Rename-satori-uuid-to-satori-go.uuid.patch

 -- Shengjing Zhu <i@zhsj.me>  Tue, 05 Sep 2017 09:32:54 +0800
