## golang-github-azure-azure-sdk-for-go 43.3.0

=== debian/changelog ===
golang-github-azure-azure-sdk-for-go (43.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Martín Ferrari ]
  * debian/gbp.conf: Update repo layout.

  [ Dr. Tobias Quathamer ]
  * New upstream version 20.1.0
  * Update Standards-Version to 4.2.1, no changes needed
  * Update dependencies for new upstream version

  [ Arnaud Rebillout ]
  * New upstream version 36.2.0
  * Remove reference to Gododir in d/rules
  * Update copyright
  * Update build dependencies
  * Comment out build dependencies that are not packaged
  * Build and install "storage" only, exclude the rest
  * Update maintainer email address
  * Bump standards version
  * Update debian compat to 12
  * Add Rules-Requires-Root to control file

  [ Debian Janitor ]
  * Team upload.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Shengjing Zhu ]
  * New upstream version 43.3.0
  * Bump golang-github-azure-go-autorest-dev to 14.1.1
  * Add golang-github-shopspring-decimal-dev to Depends
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0 (no changes)
  * Disable dh_golang.
  * Remove unused lines in d/control

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 22 Jun 2020 02:16:55 +0800
