=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := tools services/cosmos-db/mongodb

%:
	dh $@ --buildsystem=golang

override_dh_auto_test:
	DH_GOLANG_EXCLUDES="$(DH_GOLANG_EXCLUDES) storage" dh_auto_test
