## golang-github-azure-azure-sdk-for-go 68.0.0

=== debian/changelog ===
golang-github-azure-azure-sdk-for-go (68.0.0-2) unstable; urgency=medium

  * Team upload
  * Use git mode in uscan watch file.
    The http mode causes paging issues.
  * Add missing dependencies
    + golang-github-gofrs-uuid-dev
    + golang-golang-x-crypto-dev
  * Fix excluding preview sdk
    dh-golang has limitation that excluding
    services/datalake/analytics/2016-11-01-preview as well
  * Enable test on profiles package
  * Add Multi-Arch hint
  * Add Breaks to golang-github-tombuildsstuff-giovanni-dev
  * Revert "feat(debian): remove preview api versions"
  * Exclude broken profiles/preview/preview package

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Feb 2023 19:22:38 +0800

golang-github-azure-azure-sdk-for-go (68.0.0-1) unstable; urgency=medium

  [ Tianon Gravi ]
  * [c6ff8434] Remove self from Uploaders

  [ Leo Antunes ]
  * [9c79bda8] chore(debian): add self to uploaders
  * [beb68376] feat(debian/gbp): disable pristine-tar (not used)
  * [51f4eb20] New upstream version 68.0.0
  * [0c0664b9] chore(debian): bump policy to 4.6.2 (no changes)
  * [b3535270] chore(debian/watch): update to version 4
  * [45401142] chore(debian): add bug info to upstream metadata
  * [f9757ea6] fix(debian/control): add missing dep on golang-github-gofrs-uuid-dev
  * [b7ae9f32] feat(debian): remove preview api versions
  * [99cad1cc] fix(lintian): add override for missing html source

 -- Leo Antunes <costela@debian.org>  Tue, 07 Feb 2023 12:43:21 +0100
