=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/Azure/azure-sdk-for-go \
  refs/tags/v?@ANY_VERSION@ debian
