## golang-github-azure-azure-sdk-for-go 68.0.0+git20231220.f497335+dfsg1

=== debian/changelog ===
golang-github-azure-azure-sdk-for-go (68.0.0+git20231220.f497335+dfsg1-2) experimental; urgency=medium

  * debian/rules: delete build directories after use, Closes: #1107694

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 18 Jan 2026 13:57:38 -0500

golang-github-azure-azure-sdk-for-go (68.0.0+git20231220.f497335+dfsg1-1) experimental; urgency=medium

  * Team upload

  [ Maytham Alsudany ]
  * New upstream version 68.0.0+git20231220.f497335 (Closes: #1059083)
  * Update Depends and Build-Depends
  * Update d/watch to track HEAD
  * Disable all tests as they rely on network access
  * Override lintian warnings regarding test data

  [ Reinhard Tartler ]
  * Repack upstream tarball to remove files with unclear licensing
  * Reflect upstream copyright change from Apache 2.0->MIT
    cf. https://github.com/Azure/azure-sdk-for-go/pull/14477
  * debian/control:
    - Bump Standards-Version, no changes needed
    - Remove redundant "Rules-Requires-Root"
  * debian/rules:
    - Adjust the excludes, run tests, unbreak autopkgtest
    - Fix clean target
    - Add compat symlinks for working around versioned go modules
  * Adjust lintian overrides
  * Run salsa-ci, enable lrc, disable broken "test-archive" pipeline
  * debian/watch: Rewrite to Version 5

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Jan 2026 06:13:41 -0500
