=== debian/control ===
--- 
+++ 
@@ -12,22 +12,36 @@
                golang-github-gofrs-uuid-dev,
                golang-github-shopspring-decimal-dev,
                golang-golang-x-crypto-dev,
-               golang-gopkg-check.v1-dev,
-Standards-Version: 4.6.2
+               golang-golang-x-net-dev,
+               golang-github-azuread-microsoft-authentication-library-for-go-dev,
+               golang-github-azuread-microsoft-authentication-extensions-for-go-dev,
+               golang-opentelemetry-otel-dev,
+               golang-github-azure-go-amqp-dev,
+               golang-github-joho-godotenv-dev,
+               golang-github-golang-mock-dev,
+               golang-github-stretchr-testify-dev <!nocheck>,
+               golang-nhooyr-websocket-dev,
+Standards-Version: 4.7.3
 Homepage: https://github.com/Azure/azure-sdk-for-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-azure-azure-sdk-for-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-azure-azure-sdk-for-go.git
 XS-Go-Import-Path: github.com/Azure/azure-sdk-for-go
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-azure-azure-sdk-for-go-dev
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-azure-go-autorest-dev (>= 14.1.1~),
+         golang-github-dnaeon-go-vcr-dev,
          golang-github-gofrs-uuid-dev,
          golang-github-shopspring-decimal-dev,
          golang-golang-x-crypto-dev,
+         golang-golang-x-net-dev,
+         golang-github-azuread-microsoft-authentication-library-for-go-dev,
+         golang-github-azuread-microsoft-authentication-extensions-for-go-dev,
+         golang-opentelemetry-otel-dev,
+         golang-github-azure-go-amqp-dev,
+         golang-github-golang-mock-dev,
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: golang-github-tombuildsstuff-giovanni-dev (<< 0.20.0-1~)
