=== debian/watch ===
Version: 5

Mode: git
Source: https://github.com/Azure/azure-sdk-for-go
Matching-Pattern: HEAD
Git-Pretty: pretty=68.0.0+git%cd.%h"
Repack: yes
Repack-Suffix: +dfsg1
Uversion-Mangle: auto
Dversion-Mangle: auto
